分析师预估
curl --request GET \
--url https://api.aisa.one/apis/v1/financial/analyst-estimates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/financial/analyst-estimates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/financial/analyst-estimates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analyst_estimates": [
{
"fiscal_period": "2023-12-25",
"revenue": 123,
"earnings_per_share": 123
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}分析师预期
分析师预估
华尔街对某个美国股票代码的一致预期——预计营收和预计每股收益,按财务期间(年度或季度)细分。
GET
https://api.aisa.one/apis/v1/financial
/
analyst-estimates
分析师预估
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
要获取分析师预估的股票代码。
获取分析师预估数据的周期。使用 /analyst-estimates/periods 端点获取可用周期列表。默认为 'annual'。
可用选项:
annual, quarterly 返回的预估值数量上限(年度数据最多 3 个,季度数据最多 12 个)。
响应
分析师预期响应
Show child attributes
Show child attributes
⌘I